pandoc-2.5: Conversion between markup formats

Copyright | Copyright (C) 2006-2018 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Readers.LaTeX

Description

Conversion of LaTeX to `Pandoc` document.

Synopsis

- readLaTeX :: PandocMonad m => ReaderOptions -> Text -> m Pandoc
- applyMacros :: (PandocMonad m, HasMacros s, HasReaderOptions s) => String -> ParserT String s m String
- rawLaTeXInline :: (PandocMonad m, HasMacros s, HasReaderOptions s) => ParserT String s m String
- rawLaTeXBlock :: (PandocMonad m, HasMacros s, HasReaderOptions s) => ParserT String s m String
- inlineCommand :: PandocMonad m => ParserT String ParserState m Inlines
- tokenize :: SourceName -> Text -> [Tok]
- untokenize :: [Tok] -> Text

# Documentation

readLaTeX Source #

Arguments

:: PandocMonad m |
=> ReaderOptions | Reader options
-> Text | String to parse (assumes `'\n'` line endings)
-> m Pandoc |

Parse LaTeX from string and return `Pandoc` document.

applyMacros :: (PandocMonad m, HasMacros s, HasReaderOptions s) => String -> ParserT String s m String Source #

rawLaTeXInline :: (PandocMonad m, HasMacros s, HasReaderOptions s) => ParserT String s m String Source #

rawLaTeXBlock :: (PandocMonad m, HasMacros s, HasReaderOptions s) => ParserT String s m String Source #

inlineCommand :: PandocMonad m => ParserT String ParserState m Inlines Source #

tokenize :: SourceName -> Text -> [Tok] Source #

untokenize :: [Tok] -> Text Source #